Loading ...
Sorry, an error occurred while loading the content.
 

Re: version problem

Expand Messages
  • Abbas Ali
    ... Its not the version problem. Its the difference in php.ini settings of your local setup and server. On your local setup error_reporting must be E_ALL &
    Message 1 of 4 , Mar 31, 2006
      > hi all,
      > i have developed the application with php 5.0.5.but my
      > hosting
      >
      > server php version was 5.1.1.After hosting the application iam
      > getting the errors with the variable declarations like,
      >
      > 1)Notice: Undefined index:
      > 2)Warning: Cannot modify header information - headers already sent
      >
      > it is giving the errors,when i checking the variables declared or
      > not.
      >
      > if(isset($var)
      > {
      > }
      > the above statement working fine.
      > if i declared the same sattement like
      > if($var)
      > {
      > }giving the errors.
      >
      > how to handle the version problem.
      >

      Its not the version problem. Its the difference in php.ini settings of
      your local setup and server.

      On your local setup error_reporting must be "E_ALL & ~E_NOTICE" and on
      server it is "E_ALL".

      In your php script write this line at the top (first line)...

      error_reporting(E_ALL & ~E_NOTICE);

      This might solve your problem.


      Abbas
    Your message has been successfully submitted and would be delivered to recipients shortly.